Bug 1545212 - Dependency failed for Activation socket for spice guest agent daemon.
Summary: Dependency failed for Activation socket for spice guest agent daemon.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: spice-vdagent
Version: 7.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Default Assignee for SPICE Bugs
QA Contact: SPICE QE bug list
URL:
Whiteboard:
: 1576979 (view as bug list)
Depends On:
Blocks: 1477564
TreeView+ depends on / blocked
 
Reported: 2018-02-14 12:10 UTC by Jan Stodola
Modified: 2019-08-24 17:03 UTC (History)
11 users (show)

Fixed In Version: spice-vdagent-0.14.0-17.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1660490 (view as bug list)
Environment:
Last Closed: 2019-08-06 13:07:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2229 None None None 2019-08-06 13:07:49 UTC
Red Hat Knowledge Base (Solution) 4370341 None None None 2019-08-24 17:03:50 UTC

Description Jan Stodola 2018-02-14 12:10:33 UTC
Description of problem:
When starting a system with spice-vdagent installed, the following message is visible in console:

...
[  OK  ] Stopped File System Check on Root Device.
         Stopping File System Check on Root Device...
         Starting Remount Root and Kernel File Systems...
[ INFO ] dev-virtio\x2dports-com.redhat.spice.0.device is not active.
[DEPEND] Dependency failed for Activation socket for spice guest agent daemon.
[  OK  ] Created slice system-selinux\x2dpol...grate\x2dlocal\x2dchanges.slice.
         Starting Apply Kernel Variables...
...

The message is also visible at the beginning of a RHEL-7.5 installation.


Version-Release number of selected component (if applicable):
spice-vdagent-0.14.0-15.el7

How reproducible:
always

Steps to Reproduce:
1. yum install spice-vdagent
2. restart the system

Actual results:
INFO/DEPEND messages in console

Expected results:
Probably no INFO/DEPEND log messages with dependency failures in console, since it looks suspicious

Comment 2 Victor Toso 2018-02-14 12:35:28 UTC
Is this a Virtual Machine or a bare metal one?

For the virtual machine case, this is a valid log message as expected Spice features wouldn't work without the virtio device.

I don't think we expect users to install spice-vdagent in bare metal machines. Same goes to qemu-guest-agent and so on.

Comment 4 Victor Toso 2018-02-14 16:00:59 UTC
Not a blocker for 7.5, moving to 7.6

Comment 5 Victor Toso 2018-05-22 13:15:16 UTC
*** Bug 1576979 has been marked as a duplicate of this bug. ***

Comment 7 Andrew Schorr 2018-12-16 19:21:50 UTC
FYI, this happens when booting the 7.6 rescue shell:

      [DEPEND] Dependency failed for Activation socket for spice guest agent daemon.
      [ INFO ] dev-virtio\x2dports-com.redhat.spice.0.device is not active.
      [DEPEND] Dependency failed for Activation socket for spice guest agent daemon.

Comment 8 Christophe Fergeau 2018-12-18 12:56:51 UTC
Should be fixed by https://lists.freedesktop.org/archives/spice-devel/2018-December/046496.html

Comment 12 errata-xmlrpc 2019-08-06 13:07:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2229


Note You need to log in before you can comment on or make changes to this bug.